import { b9 as o, U as n, V as t, bh as i, cG as r, bn as s, bo as c, a0 as u, bp as d, w as m, cH as h } from "./684d2f28.js";
import { focusMethod as f, blurMethod as C } from "./d6402597.js";
import { CascaderPropertyView as b, defaultDataSource as w, CascaderChildren as y } from "./e242548f.js";
import { getStyle as v } from "./f9c25fbe.js";
import "react";
import "react-dom";
import "./0f3d7a1a.js";
import "./2d5fc5ff.js";
import "./1312a48b.js";
import "./00dac55d.js";
const g = o(h)`
  width: 100%;
  font-family:"Montserrat";
  ${(a) => a.$style && v(a.$style)}
`;
let S = function() {
  const a = y;
  return new n(a, (e) => e.label({
    style: e.style,
    labelStyle: e.labelStyle,
    children: /* @__PURE__ */ t(g, {
      ref: e.viewRef,
      value: e.value.value,
      disabled: e.disabled,
      defaultValue: e.value.value,
      options: e.options,
      allowClear: e.allowClear,
      placeholder: e.placeholder,
      showSearch: e.showSearch,
      $style: e.style,
      onFocus: () => e.onEvent("focus"),
      onBlur: () => e.onEvent("blur"),
      onChange: (l) => {
        e.value.onChange(l), e.onEvent("change");
      }
    })
  })).setPropertyViewFn((e) => /* @__PURE__ */ t(i, {
    children: /* @__PURE__ */ t(b, {
      ...e
    })
  })).setExposeMethodConfigs(r([f, C])).build();
}();
const M = s(S, [new c("value", u("selectInput.valueDesc")), ...d]), U = m(M, {
  options: w
});
export {
  U as CascaderWithDefault
};
